Subject: Re: [PATCH net-next 0/7] selftest: netfilter: additional cleanups

From: Jakub Kicinski <[email-masked]>
Date: Tue, 23 Apr 2024 13:52:18 -0700

On Tue, 23 Apr 2024 21:42:21 +0200 Florian Westphal wrote:
> > The main thing that seems to be popping up in the netdev runner is:
> > 
> > # TEST: performance
> > #   net,port                                                      [SKIP]
> > #   perf not supported
> > 
> > What is "perf" in this case? Some NFT module? the perf tool is
> > installed, AFAICT..  
> 
> Its looking for the pktgen wrapper script
> (pktgen_bench_xmit_mode_netif_receive.sh).
> 
> I don't think it makes too much sense to have that run as part of the CI.
> 
> I can either remove this or move it under some special commandline
> option, or I can look into this and see if I can get it to run.

Hm, never used it myself but it makes me think of the extended ksft
vars:

 | TEST_PROGS_EXTENDED, TEST_GEN_PROGS_EXTENDED mean it is the
 | executable which is not tested by default.

https://docs.kernel.org/dev-tools/kselftest.html?highlight=test_progs_extended#contributing-new-tests-details